Package com.stardog.stark.util

# Class DateTimeInlineUtils

java.lang.Object
com.stardog.stark.util.DateTimeInlineUtils

public final class DateTimeInlineUtils extends Object
Inlining logic for datetime values. Moved here to be accessible to CalendarLiteral

Since:
  0.7
Version:
  7.9
Author:
  Pavel Klinov, Simon Gratzer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATE_LEN`
  `static final int`
  `DAY`
  `static final int`
  `DAY_LEN`
  `static final int`
  `HOUR`
  `static final int`
  `HOUR_LEN`
  `static final int`
  `MAX_YEARS`
  `static final int`
  `MILLI`
  `static final int`
  `MILLI_LEN`
  `static final int`
  `MINUTES`
  `static final int`
  `MINUTES_LEN`
  `static final int`
  `MONTH`
  `static final int`
  `MONTH_LEN`
  `static final long`
  `NOT_INLINABLE`
  `static final int`
  `TIME_LEN`
  `static final int`
  `TZ`
  `static final int`
  `TZ_LEN`
  `static final int`
  `TZ_NONE`
  `static final int`
  `TZ_OFFSET_PRECISION`
  `static final int`
  `TZ_Z`
  `static final int`
  `YEAR`
  `static final int`
  `YEAR_LEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateTimeInlineUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `adjustTZafterExtraction(int theTZ)`
  `static int`
  `extractDays(long theLong)`
  `static int`
  `extractHours(long theLong)`
  `static int`
  `extractMillis(long theLong)`
  `static int`
  `extractMinutes(long theLong)`
  `static int`
  `extractMonths(long theLong)`
  `static int`
  `extractTimezone(long theLong)`
  `static int`
  `extractYears(long theLong)`
  `static long`
  `inline(XMLCalendar aXMLCal, long aInlined)`
  Encode a calendar value into the ID

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_LEN

    public static final int DATE_LEN
    See Also:
      - Constant Field Values

  - ### TIME_LEN

    public static final int TIME_LEN
    See Also:
      - Constant Field Values

  - ### MILLI

    public static final int MILLI
    See Also:
      - Constant Field Values

  - ### MILLI_LEN

    public static final int MILLI_LEN
    See Also:
      - Constant Field Values

  - ### MINUTES

    public static final int MINUTES
    See Also:
      - Constant Field Values

  - ### MINUTES_LEN

    public static final int MINUTES_LEN
    See Also:
      - Constant Field Values

  - ### HOUR

    public static final int HOUR
    See Also:
      - Constant Field Values

  - ### HOUR_LEN

    public static final int HOUR_LEN
    See Also:
      - Constant Field Values

  - ### DAY

    public static final int DAY
    See Also:
      - Constant Field Values

  - ### DAY_LEN

    public static final int DAY_LEN
    See Also:
      - Constant Field Values

  - ### MONTH

    public static final int MONTH
    See Also:
      - Constant Field Values

  - ### MONTH_LEN

    public static final int MONTH_LEN
    See Also:
      - Constant Field Values

  - ### YEAR

    public static final int YEAR
    See Also:
      - Constant Field Values

  - ### YEAR_LEN

    public static final int YEAR_LEN
    See Also:
      - Constant Field Values

  - ### MAX_YEARS

    public static final int MAX_YEARS
    See Also:
      - Constant Field Values

  - ### TZ

    public static final int TZ
    See Also:
      - Constant Field Values

  - ### TZ_LEN

    public static final int TZ_LEN
    See Also:
      - Constant Field Values

  - ### TZ_Z

    public static final int TZ_Z
    See Also:
      - Constant Field Values

  - ### TZ_NONE

    public static final int TZ_NONE
    See Also:
      - Constant Field Values

  - ### TZ_OFFSET_PRECISION

    public static final int TZ_OFFSET_PRECISION
    See Also:
      - Constant Field Values

  - ### NOT_INLINABLE

    public static final long NOT_INLINABLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DateTimeInlineUtils

    public DateTimeInlineUtils()

- ## Method Details

  - ### extractYears

    public static int extractYears(long theLong)

  - ### extractMonths

    public static int extractMonths(long theLong)

  - ### extractDays

    public static int extractDays(long theLong)

  - ### extractHours

    public static int extractHours(long theLong)

  - ### extractMinutes

    public static int extractMinutes(long theLong)

  - ### extractMillis

    public static int extractMillis(long theLong)

  - ### extractTimezone

    public static int extractTimezone(long theLong)

  - ### adjustTZafterExtraction

    public static int adjustTZafterExtraction(int theTZ)

  - ### inline

    public static long inline(XMLCalendar aXMLCal, long aInlined)
    Encode a calendar value into the ID
    Parameters:
      `aXMLCal` - calendar value
      `aInlined` - long with the encoded datatype